/*
 * Copyright 2004-2010 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.slim3.tester;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletOutputStream;

/**
 * An implementation for {@link ServletOutputStream}.
 * 
 * @author higa
 * @since 1.0.0
 */
public class MockServletOutputStream extends ServletOutputStream {

    /**
     * The original output stream.
     */
    protected OutputStream outputStream;

    /**
     * Constructor.
     * 
     * @param outputStream
     *            the original output stream
     * @throws NullPointerException
     *             if the outputStream parameter is null
     */
    public MockServletOutputStream(OutputStream outputStream)
            throws NullPointerException {
        if (outputStream == null) {
            throw new NullPointerException(
                    "The outputStream parameter is null.");
        }
        this.outputStream = outputStream;
    }

    @Override
    public void write(int b) throws IOException {
        outputStream.write(b);
    }

}
